Subject: gitweb install

From: lamikr <[email-masked]>
Date: Mon, 20 Nov 2006 03:15:05 +0200

Hi

Following dummyuser test case (me :-) might be usefull for improving docs.
I have read the gitweb/README but in addition of that I find out that
there is really little documentation about installing gitweb
except the Makefile & git-instaweb.sh itself.

I would like to install gitweb to /var/run/html/gitweb directory and
after reading the git/INSTALL & gitweb/README
I came to conclusion that something like following could work

1) build git by changing some of the default gitweb configs as a user
    make prefix=/usr all doc GITWEB_SITENAME='gitweb test'
GITWEB_PROJECTROOT=/var/www/html/gitweb 
2) install git as a root after build
    make prefix=/usr install install-doc
3) add following to apache config
    <VirtualHost www:80>
        ServerName my-web-page
        DocumentRoot /gitweb
        RewriteEngine on
        RewriteRule ^/(.*\.git/(?!/?(info|objects|refs)).*)?$
/cgi-bin/gitweb.cgi%{REQUEST_URI}  [L,PT]
        SetEnv    GITWEB_CONFIG    /etc/gitweb.conf
    </VirtualHost>
4) move git repository (kernel for example) to /var/www/html/gitweb
5) restart apache
6) open browser to http://my-web-page/gitweb

Obviously something failed, as after step 2, I do not have either the
/etc/gitweb.conf or gitweb scripts under directory /var/www/html/gitweb

regards
    Mika